﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.Specialized;
using Syncfusion.Windows.Controls.Grid;
using Syncfusion.Windows.Shared;
using Syncfusion.Windows.ComponentModel;
using Syncfusion.Windows.Controls.Cells;
using Country;
using System.Collections.ObjectModel;
namespace Country
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {

        public MainWindow()
        {
            InitializeComponent();
            this.dataGrid.Model.QueryCellInfo += new GridQueryCellInfoEventHandler(Model_QueryCellInfo);

        }

        void Model_QueryCellInfo(object sender, GridQueryCellInfoEventArgs e)
        {
            var style = e.Style as GridDataStyleInfo;
            var cellidentity = style.CellIdentity;
            if (cellidentity != null && cellidentity.Record != null && cellidentity.Column.MappingName == "State")
            {
               
                var Record = cellidentity.Record as Model;
                var item = Record.Country;
                if (item.ToString().Contains("USA"))
                {
                    e.Style.ItemsSource = new USStateRepository();
                }
                else if (item.ToString().Contains("Australia"))
                {
                    e.Style.ItemsSource = new AusStateRepository();
                }
                else if (item.ToString().Contains("India"))
                {
                    e.Style.ItemsSource = new IndStateRepository();
                }
                e.Style.CellValue = ((ObservableCollection<String>)e.Style.ItemsSource)[0];
            }


        }
    }
}

